import React from 'react';
import { Portal } from 'react-portal';

var styles = {};

var portalsContainerId = 'ui-components-portals-container';
var PortalManager = {
    containerInstance: function () {
        var portalsContainerElement = document.getElementById(portalsContainerId);
        if (!portalsContainerElement) {
            var container = document.createElement('div');
            container.id = portalsContainerId;
            container.style.position = 'relative';
            container.className = styles['body-1'];
            portalsContainerElement = document.body.appendChild(container);
        }
        portalsContainerElement.style.zIndex = '1000000';
        return portalsContainerElement;
    },
};

var GroupedPortal = function (_a) {
    var children = _a.children;
    return (React.createElement(Portal, { node: PortalManager.containerInstance() }, children));
};

export { GroupedPortal, PortalManager };
//# sourceMappingURL=index.js.map
